Bug 660429 (CVE-2010-3766) - CVE-2010-3766 Mozilla use-after-free error with nsDOMAttribute MutationObserver (MFSA 2010-80)
Summary: CVE-2010-3766 Mozilla use-after-free error with nsDOMAttribute MutationObserv...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3766
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 19:08 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:47:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC

Description Josh Bressers 2010-12-06 19:08:56 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that a nsDOMAttribute node can be modified without informing the
iterator object responsible for various DOM traversals. This flaw could
lead to a inconsistent state where the iterator points to an object it
believes is part of the DOM but actually points to some other object. If
such an object had been deleted and its memory reclaimed by the system,
then the iterator could be used to call into attacker-controlled memory.

Comment 1 Vincent Danen 2010-12-09 22:07:39 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-80.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html


Note You need to log in before you can comment on or make changes to this bug.